• 0

    posted a message on zombe's modpack [V9.0.2 upd: 02 Dec. 15]

    First off: Good job updating the original version of this modpack to 1.8! I started myself but got too frustrated with the reflections and obfuscations, respect that you managed to get through that! /)


    Some things to the update itself:


    I am getting the same reflection errors as Zero. It seems to start and work fine 'though.


    Nov 17, 2015 1:59:41 AM zombe.core.ZMod log
    WARNUNG: exception in reflection code encountered ! (missing field: 'blockHardness', obfus: 'cG'); Exception:
    java.lang.NoSuchFieldException: cG
    	at java.lang.Class.getDeclaredField(Unknown Source)
    	at zombe.core.ZWrapper.getField(ZWrapper.java:137)
    	at zombe.core.ZWrapper.<clinit>(ZWrapper.java:256)
    	at zombe.core.ZModpack.initialize(ZModpack.java:155)
    	at zombe.core.ZHandle.onMinecraftInit(ZHandle.java:76)
    	at bsu.<init>(Minecraft.java:388)
    	at net.minecraft.client.main.Main.main(SourceFile:120)
    
    Nov 17, 2015 1:59:41 AM zombe.core.ZMod log
    WARNUNG: exception in reflection code encountered ! (missing field: 'blockResistance', obfus: 'cH'); Exception:
    java.lang.NoSuchFieldException: cH
    	at java.lang.Class.getDeclaredField(Unknown Source)
    	at zombe.core.ZWrapper.getField(ZWrapper.java:137)
    	at zombe.core.ZWrapper.<clinit>(ZWrapper.java:264)
    	at zombe.core.ZModpack.initialize(ZModpack.java:155)
    	at zombe.core.ZHandle.onMinecraftInit(ZHandle.java:76)
    	at bsu.<init>(Minecraft.java:388)
    	at net.minecraft.client.main.Main.main(SourceFile:120)
    
    Nov 17, 2015 1:59:41 AM zombe.core.ZMod log
    WARNUNG: exception in reflection code encountered ! (missing field: 'chatLines', obfus: 'c'); Exception:
    java.lang.NoSuchFieldException: c
    	at java.lang.Class.getDeclaredField(Unknown Source)
    	at zombe.core.ZWrapper.getField(ZWrapper.java:137)
    	at zombe.core.ZWrapper.<clinit>(ZWrapper.java:759)
    	at zombe.core.ZModpack.initialize(ZModpack.java:155)
    	at zombe.core.ZHandle.onMinecraftInit(ZHandle.java:76)
    	at bsu.<init>(Minecraft.java:388)
    	at net.minecraft.client.main.Main.main(SourceFile:120)
    
    Nov 17, 2015 1:59:41 AM zombe.core.ZMod log
    WARNUNG: exception in reflection code encountered ! (missing field: 'dispenserContents', obfus: 'b'); Exception:
    java.lang.NoSuchFieldException: b
    	at java.lang.Class.getDeclaredField(Unknown Source)
    	at zombe.core.ZWrapper.getField(ZWrapper.java:137)
    	at zombe.core.ZWrapper.<clinit>(ZWrapper.java:1165)
    	at zombe.core.ZModpack.initialize(ZModpack.java:155)
    	at zombe.core.ZHandle.onMinecraftInit(ZHandle.java:76)
    	at bsu.<init>(Minecraft.java:388)
    	at net.minecraft.client.main.Main.main(SourceFile:120)









    Also it seems like the 1.8 version isn't compatible with LiteLoader anymore. But I don't think that there can be much done on the Zombe side. :/ I depend on half a dozen litemods so that not working makes this update kinda salty.

    ---- Minecraft Crash Report ----
    // I just don't know what went wrong :(
    
    Time: 17.11.15 01:53
    Description: Initializing game
    
    java.lang.RuntimeException: LiteLoader failed to start up properly. The game is in an unstable state and must shut down now. Check the developer log for startup errors
     at com.mumfrey.liteloader.core.CallbackProxyCommon.onStartupComplete(CallbackProxyCommon.java:36)
     at com.mumfrey.liteloader.client.CallbackProxyClient.onStartupComplete(CallbackProxyClient.java:47)
     at com.mumfrey.liteloader.core.event.EventProxy.$event00000(EventProxy.java:211)
     at bsu.aj(Minecraft.java:594)
     at bsu.a(Minecraft.java:400)
     at net.minecraft.client.main.Main.main(SourceFile:120)
     at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
     at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
     at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
     at java.lang.reflect.Method.invoke(Unknown Source)
     at net.minecraft.launchwrapper.Launch.launch(Launch.java:135)
     at net.minecraft.launchwrapper.Launch.main(Launch.java:28)
    
    
    A detailed walkthrough of the error, its code path and all known details is as follows:
    ---------------------------------------------------------------------------------------
    
    -- Head --
    Stacktrace:
     at com.mumfrey.liteloader.core.CallbackProxyCommon.onStartupComplete(CallbackProxyCommon.java:36)
     at com.mumfrey.liteloader.client.CallbackProxyClient.onStartupComplete(CallbackProxyClient.java:47)
     at com.mumfrey.liteloader.core.event.EventProxy.$event00000(EventProxy.java:211)
     at bsu.aj(Minecraft.java:594)
    
    -- Initialization --
    Details:
    Stacktrace:
     at bsu.a(Minecraft.java:400)
     at net.minecraft.client.main.Main.main(SourceFile:120)
     at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
     at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
     at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
     at java.lang.reflect.Method.invoke(Unknown Source)
     at net.minecraft.launchwrapper.Launch.launch(Launch.java:135)
     at net.minecraft.launchwrapper.Launch.main(Launch.java:28)
    Posted in: Mod Packs
  • 0

    posted a message on zombe's modpack [V9.0.2 upd: 02 Dec. 15]

    Use DaFlight... also stop screaming like a baby.

    Posted in: Mod Packs
  • 0

    posted a message on zombe's modpack [V9.0.2 upd: 02 Dec. 15]
    For everyone who despises the normal Minecraft flymode, here is a Litemod that has a better flymode: http://www.liteloader.com/mod/daflight ;)
    Posted in: Mod Packs
  • 0

    posted a message on zombe's modpack [V9.0.2 upd: 02 Dec. 15]
    So guys, I put a bit of thought into the update of the mod and I have decided that I am not going to continue the work on the original Zombe's modpack.

    The main reasons are:
    • Modding Minecraft files directly is a pain in the ass, with obfuscation and drastic changes by Mojang and such
    • Another point is that you don't have any documentation what stuff does, so you end up reading through all of Mojang's code just to understand what one method is supposed to do (or does not. Hint: NPE handling)
    • Also the modpack's code is old and cluttered with stuff where even previous updaters didn't knew what it did
    • Incompatibility with other mods because of direct class manipulation
    All in all it just takes too much time that I am not willing to waste.

    I might however implement some of the original features into 1337Zero Liteloader version ‒ I myself played with the idea of converting the mod to a litemod before ‒ which takes less time to figure stuff out because you actually know what things do. Also it will have way less incompatibility problems that way.

    Parts of Zombe I am currently missing in the Litemod version and because of that will probably add:
    • Non-swimming flymode (I hate the Minecraft flymode and its stupid implementation with a passion)
    • A proper Cheat-mode with wall clipping and maybe ghost-/possession vision
    • Near player info list
    • Cloud manipulation
    • The ability to load/use old config files
    I hope that this will result in less work in the long run and in a better experience for all of us.

    If you have a mod of the original modpack you really would love to see in the liteloader version then just post it here (or implement it yourself, the code is on GitHub ;) )

    This is not the end, Zombe may be dead, but Zombe Lite will live!
    Phoenix
    Posted in: Mod Packs
  • 0

    posted a message on zombe's modpack [V9.0.2 upd: 02 Dec. 15]
    I will probably take a look into updating zombe in the following week.
    But don't expect a working update before February, guys!
    Posted in: Mod Packs
  • 0

    posted a message on Summon Helper - Generate /summon Commands easily
    So, uhm, the site is down... is there any chance that it comes back up or that you open source the code of it so that someone else could host it if it goes down again?
    Posted in: Minecraft Tools
  • 1

    posted a message on zombe's modpack [V9.0.2 upd: 02 Dec. 15]
    There will be no 1.8 version until MCP has a version for 1.8!
    Posted in: Mod Packs
  • 0

    posted a message on zombe's modpack [V9.0.2 upd: 02 Dec. 15]
    Quote from Proudmac»
    Does the resent version of zombe for 1.7.10 work with the new 1.8?. Has anyone tested it ?

    No. That cannot work.
    Posted in: Mod Packs
  • 0

    posted a message on zombe's modpack [V9.0.2 upd: 02 Dec. 15]
    Quote from Necrofeelya

    I downloaded, followed readme to a T and when I go to launch minecraft with the 1.7.10_zombe profile, it launches and takes me right back to launch....

    Please post the error message(s) from the console log.
    Posted in: Mod Packs
  • 0

    posted a message on Mine Little Pony v1.6.4.1
    Quote from ThebrookeWalker
    sorry but, HOW DO U DOWNLOAD THE DAM MOD

    You click the download link in this post.
    Posted in: Minecraft Mods
  • 0

    posted a message on zombe's modpack [V9.0.2 upd: 02 Dec. 15]
    Quote from Kamuel

    the question is: exists an way that anyone others can get perms to edit the original post. moderators? :P

    That would be nice. I can shoot them a message or maybe I just open a new topic for my updates ;D

    Quote from 123Chance

    Is there an updated version for this mod. 1.7.10?

    I have an updated version in this post.

    It is not as compatible as it was some versions ago but I am currently cleaning up the code and I have hope that I can make it more compatibly with other mods like Optifine in the progress.
    Posted in: Mod Packs
  • 0

    posted a message on "Please write something in the comment box." error bug
    Interesting, it works when I totally disable the ScriptSafe addon... (before I just had all needed scripts allowed). The funny thing is: it works with the same addon and config on linux with the addon enabled. I guess it is a bug with the addon and not with the forum. Sorry for bothering you.

    Also the errors I get in the console are the same I get on linux and are normal behavior with the addons I guess.

    Tampermonkey started VM386:52
    2Consider using 'dppx' units, as in CSS 'dpi' means dots-per-CSS-inch, not dots-per-physical-inch, so does not correspond to the actual 'dpi' of a screen. In media query expression: only screen and (-webkit-min-device-pixel-ratio: 2), only screen and (min-resolution: 144dpi) 2148796-please-write-something-in-the-comment-box-error:1
    GET https://load.instinctiveads.com/i.js net::ERR_BLOCKED_BY_CLIENT 2148796-please-write-something-in-the-comment-box-error:422
    GET http://ads.pubmatic.com/AdServer/js/showad.js net::ERR_BLOCKED_BY_CLIENT 2148796-please-write-something-in-the-comment-box-error:2777
    GET http://tags.crwdcntrl.net/c/3613/cc.js?ns=_cc3613 net::ERR_BLOCKED_BY_CLIENT 2148796-please-write-something-in-the-comment-box-error:2781
    GET https://apis.google.com/js/platform.js net::ERR_BLOCKED_BY_CLIENT 2148796-please-write-something-in-the-comment-box-error:2836
    Uncaught ReferenceError: _cc3613 is not defined 2148796-please-write-something-in-the-comment-box-error:2783
    Cobalt.load core.js:742
    Initializing 1 explicit functions (bad) core.js:736
    Cobalt.initialize core.js:742
    Initializing 18 dependant funcs (good) core.js:742
    Cobalt.NiceDates: 11ms core.js:736
    Cobalt.Core: 10ms core.js:736
    Cobalt.Warning: 3ms core.js:736
    Cobalt.Tabs: 0ms core.js:736
    Cobalt.Comment: 2ms core.js:736
    Cobalt.User: 16ms core.js:736
    Cobalt.UI: 1ms core.js:736
    Cobalt.Markup: 1ms core.js:736
    Cobalt.Rating: 30ms core.js:736
    Cobalt.Listing: 0ms core.js:736
    Cobalt.Forms: 1ms core.js:736
    Cobalt.MultiFileUpload: 1ms core.js:736
    Cobalt.Auth: 0ms core.js:736
    Cobalt.Notifications: 2ms core.js:736
    Cobalt.Feedback: 0ms core.js:736
    Cobalt.WarningNotification: 2ms core.js:736
    Cobalt.VideoEmbed: 0ms core.js:736
    Cobalt.Forum: 1ms core.js:736
    Cobalt initialized in 189ms core.js:736
    GET http://www.googletagservices.com/tag/js/gpt.js net::ERR_BLOCKED_BY_CLIENT 2148796-please-write-something-in-the-comment-box-error:389
    GET http://www.google-analytics.com/ga.js net::ERR_BLOCKED_BY_CLIENT 2148796-please-write-something-in-the-comment-box-error:2740
    GET http://b.scorecardresearch.com/beacon.js net::ERR_BLOCKED_BY_CLIENT 2148796-please-write-something-in-the-comment-box-error:2753
    GET http://platform.twitter.com/widgets.js net::ERR_BLOCKED_BY_CLIENT 2148796-please-write-something-in-the-comment-box-error:2837
    content: Stop here, cause a second Tampermonkey instance was detected!
    This can be caused by using "document.write" at Userscripts.
    See https://code.google.com/p/chromium/issues/detail?id=253388 for more information content.js:1
    Consider using 'dppx' units, as in CSS 'dpi' means dots-per-CSS-inch, not dots-per-physical-inch, so does not correspond to the actual 'dpi' of a screen. In media query expression: only screen and (-webkit-min-device-pixel-ratio: 2), only screen and (min-resolution: 144dpi) VM481:1


    Posted in: Forum Discussion & Info
  • 0

    posted a message on zombe's modpack [V9.0.2 upd: 02 Dec. 15]
    Quote from Headpipe

    Hi,

    could you make a Forge + Optifine Version?
    Trying since 2 hours to get it to work (fly only) with optfine and Forge, but it don't think that it can work out.

    No. I might make a Optifine compatible version if I find the time (don't count on that). For then don't use Optifine & Forge or use the Liteloader "Zombe" from 1337Zero.

    Quote from Kedo2486

    Please, make a Version for 1.6.4 which is compatible with Optifine and Forge. :)

    No! (You could do it yourself, the source is open. Or how much did you wanted to invest?)

    Quote from ddjjpp

    Is there a higher version, like 1.7.10?

    http://www.minecraftforum.net/forums/mapping-and-modding/minecraft-mods/1272345-1-6-1-1-6-2-zombes-modpack-26-mods-v8-2-2-upd-11?page=596#c12186

    Quote from TONY1711

    Did you have any idea why "Show entities" is not showing Players? (do not show the blue stick on player pos). Thanks. using 1.7.10 ver.

    Because Minecraft ****ed that up and I haven't had the time to fix it. Go ahead ;)


    Sorry that I don't answer that often. I keep getting the "Please write something in the comment box." error and that is really discouraging...
    Posted in: Mod Packs
  • 0

    posted a message on "Please write something in the comment box." error bug
    As I don't have Internet Explorer I tried it on my Ubuntu laptop with Chromium and it obviously works there... should I install IE nonetheless for testing?
    Posted in: Forum Discussion & Info
  • 0

    posted a message on "Please write something in the comment box." error bug
    I am getting the "Please write something in the comment box." error bug where I have written something in a comment box but can't reply. I've tried it with multiple browsers (Chromium, FIrfox, Nightly) under Windows now and it just doesn't work. I also tried repling to mulitple topics, same bug.


    I tried it by disabling all addons/plugins whcih might interfer with scripts or cookies. What I haven't done is reinstalling the browser but that would be kind of a brute step to do...

    As I may not be able to answer this topic because of the bug I hope someone can provide me with a solution... thanks.

    I may edit more info in if needed as editing is possible...
    Posted in: Forum Discussion & Info
  • To post a comment, please or register a new account.